package com.ruoyi.framework.recovery.mapper;

import java.util.List;
import com.ruoyi.framework.recovery.domain.WxRecharge;
import org.apache.ibatis.annotations.Param;

/**
 * 充值Mapper接口
 *
 * @author jin
 * @date 2024-12-01
 */
public interface WxRechargeMapper
{
    /**
     * 查询充值
     *
     * @param id 充值主键
     * @return 充值
     */
    public WxRecharge selectWxRechargeById(Long id);

    /**
     * 查询充值列表
     *
     * @param wxRecharge 充值
     * @return 充值集合
     */
    public List<WxRecharge> selectWxRechargeList(WxRecharge wxRecharge);

    /**
     * 新增充值
     *
     * @param wxRecharge 充值
     * @return 结果
     */
    public int insertWxRecharge(WxRecharge wxRecharge);

    /**
     * 修改充值
     *
     * @param wxRecharge 充值
     * @return 结果
     */
    public int updateWxRecharge(WxRecharge wxRecharge);

    /**
     * 删除充值
     *
     * @param id 充值主键
     * @return 结果
     */
    public int deleteWxRechargeById(Long id);

    /**
     * 批量删除充值
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxRechargeByIds(Long[] ids);

    /**
     * 根据工单编号查询工单
     *
     * @param orderNo 入参
     * @return  结果集
     */
    WxRecharge selectWxRechargeByOrderNo(@Param("orderNo") String orderNo);
}
